"""
This module runs all unit tests.  In order to be included in this test suite, a TestCase must
be imported.
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

####
# Import all test cases here
from pyweaver.tests.graph import *
from pyweaver.tests.digraph import *
from pyweaver.tests.generate import *
from pyweaver.tests.dijkstra import *
from pyweaver.tests.floyd_warshall import *
from pyweaver.tests.nsp_carlyle import *
from pyweaver.tests.path import *
from pyweaver.tests.colors import *
from pyweaver.tests.dot import *
from pyweaver.tests.gcsv import *
from pyweaver.tests.tree import *
from pyweaver.tests.kgml import *
from pyweaver.tests.hcluster import *
from pyweaver.tests.random_tree import *
from pyweaver.tests.parsimony import *
from pyweaver.tests.distances import *
from pyweaver.tests.util_sets import *
from pyweaver.tests.centrality import *
from pyweaver.tests.cluster_coeff import *
from pyweaver.tests.newick import *

####
# Code to run all the tests
if __name__ == '__main__':
	unittest.main()