#!/usr/bin/env python
# encoding: utf-8
"""
centrality.py

Created by Derek Ruths on 2008-07-08.
Copyright (c) 2008 __MyCompanyName__. All rights reserved.
"""

import unittest
import pyweaver as pyw

class CentralityTestCase(unittest.TestCase):

	def test_betweenness_directed(self):
		G = pyw.DiGraph()
		
		G.E.add(1,2)
		G.E.add(2,3)
		G.E.add(2,4)
		
		#####
		# Check generic betweenness
		B = pyw.betweenness(G,normalize=False)
		self.assertEquals(B[1],0)
		self.assertEquals(B[2],2)
		self.assertEquals(B[3],0)
		self.assertEquals(B[4],0)
		
		#####
		# Check Brandes betweenness
		B = pyw.brandes_betweenness(G,normalize=False)
		self.assertEquals(B[1],0)
		self.assertEquals(B[2],2)
		self.assertEquals(B[3],0)
		self.assertEquals(B[4],0)
    
	def test_pairwise_disconnectivity_directed(self):
		G = pyw.DiGraph()

		G.E.add(1,2)
		G.E.add(2,3)
		G.E.add(2,4)

		self.assertEquals(pyw.pairwise_disconnectivity(G,1),0.6)
		self.assertEquals(pyw.pairwise_disconnectivity(G,2),1.0)
		self.assertEquals(pyw.pairwise_disconnectivity(G,3),0.4)
		self.assertEquals(pyw.pairwise_disconnectivity(G,4),0.4)
		
if __name__ == '__main__':
	unittest.main()