"""
Unit tests for the undirected graph.
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

import unittest
import pyweaver.graph as graph
from pyweaver.properties import *

class ClusterCoeffTests(unittest.TestCase):

    def test_endpoints(self):
        """
        Test the methods that retrieve endpoints.
        """
        G = graph.Graph()
        G.E.add(1,2,'e1')
        G.E.add(1,3,'e2')
        G.E.add(3,4,'e3')
        G.E.add(4,5,'e4')
        
        G.N.add(6)
        
        cc = cluster_coeff(G)
        
        self.assertAlmostEqual(cc,1./3.)


####
# Code to run all the tests
if __name__ == '__main__':
    unittest.main()