"""
Unit tests for the colors module
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

import unittest
import pyweaver.visual.colors as colors

class ColorsTests(unittest.TestCase):

	def test_retrieve(self):
		"""
		Test the colors retrieved by the cword2rgb fxn
		"""
		self.assertEqual(colors.cword2rgb('red'),(1.0,0.0,0.0))
		self.assertEqual(colors.cword2rgb('rEd'),(1.0,0.0,0.0))
		self.assertEqual(colors.cword2rgb('RED'),(1.0,0.0,0.0))
		
		self.assertEqual(colors.cword2rgb('oRaNgE'),(1.000000,0.647059,0.000000))
		self.assertEqual(colors.cword2rgb('BLACK'),(0.0,0.0,0.0))
		self.assertEqual(colors.cword2rgb('GRAY'),(0.501961,0.501961,0.501961))

####
# Code to run all the tests
if __name__ == '__main__':
	unittest.main()