"""
Unit tests for the distance functions.
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

import unittest
from pyweaver.util.distances import *

class DistancesTests(unittest.TestCase):

	def test_rmsd(self):
		"""
		Test the rmsd function.
		"""

		x = [0,0,1]
		y = [0.,0.,1.]
		z = [0.,2.,4.]

		self.assertEqual(rmsd(x,y),0.)
		self.assertEqual(rmsd(y,x),0.)
		self.assertEqual(rmsd(x,z),rmsd(y,z))
		self.assertAlmostEqual(rmsd(x,z),2.0816659994661326)

		return

####
# Code to run all the tests
if __name__ == '__main__':
	unittest.main()