"""
Unit tests for the KGML file reader.
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

import unittest
import pyweaver.io.kgml as kgml

import pyweaver.tests as tests

class KGMLTests(unittest.TestCase):

	def test_read_test1(self):
		"""
		Run a simple undirected test file.
		"""
		
		print 'Test File = %s' % (tests.__path__[0] + '/test1.kgml')
		
		fh = open(tests.__path__[0] + '/test1.kgml', 'r')
		G = kgml.read(fh)
		
		self.assertTrue(G.is_directed())
		
		self.assertEqual(len(G.N),52)
		self.assertEqual(len(G.E),26)

		return

####
# Code to run all the tests
if __name__ == '__main__':
	unittest.main()