"""
Unit tests for the random tree generator functions
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

import unittest
import pyweaver.generate.random_tree as gen

class RandomTreeTests(unittest.TestCase):
	
	def test_random(self):
		"""
		Basic sanity tests on the random generation function
		"""
		
		###
		# build a random tree T with 50 nodes.
		T = gen.random(['leaf%d' % i for i in range(0,50)])
		
		self.assertEqual(len(T.N),(2*50 - 1))

		for i in range(0,50):
			self.assertTrue(T.N['leaf%d' % i] != None)
		
####
# Code to run all the tests
if __name__ == '__main__':
	unittest.main()