"""
Unit tests for the sets module.
"""

"""
Copyright 2007 Derek Ruths

This file is part of PyWeaver.

PyWeaver is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PyWeaver is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with PyWeaver.  If not, see <http://www.gnu.org/licenses/>.
"""

import unittest
import pyweaver.util.sets as sets

class SetTests(unittest.TestCase):

	def test_subset_iter(self):
		"""
		Test the subset iterator.
		"""
		L = [1,2,3,4,5,6]
		
		subsets = [list(s) for s in sets.subset_iter(L,2)]
		self.assertEquals(len(subsets),15)
		
		subsets = [list(s) for s in sets.subset_iter(L,3)]
		self.assertEquals(len(subsets),20)

####
# Code to run all the tests
if __name__ == '__main__':
	unittest.main()